/*
 * @Author: PoJun
 * @Date: 2023-09-13 16:13:54
 * @LastEditors: PoJun
 * @LastEditTime: 2023-10-11 17:10:18
 * @Message: Nothing
 */
import Vue from "vue";
import App from "./App";
import "./uni.promisify.adaptor";
import store from "@/store";
// 引入对vuex的简写法文件
let vuexStore = require("@/store/$uv.mixin.js");
Vue.mixin(vuexStore);

// hbuilderx导入安装的配置方式：
import uvUI from "@/uni_modules/uv-ui-tools";


// #ifndef VUE3
Vue.use(uvUI);
// #endif
// #ifdef VUE3
app.use(uvUI);
// #endif


// 导入并挂载全局的分享方法
import share from "./utils/share.js";
Vue.mixin(share);

Vue.config.productionTip = false;

App.mpType = "app";

const app = new Vue({
    store,
    ...App,
});

// 引入请求封装，将app参数传递到配置中
require("@/config/request.js")(app);

app.$mount();
